|  | Home · All Classes · All Functions · Overviews

# Obsolete Members for QMacStyle

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QMacStyle class reference

## Static Public Members

FocusRectPolicy | focusRectPolicy ( const QWidget * w ) `(obsolete)`
void | setFocusRectPolicy ( QWidget * w, FocusRectPolicy policy ) `(obsolete)`
void | setWidgetSizePolicy ( const QWidget * widget, WidgetSizePolicy policy ) `(obsolete)`
WidgetSizePolicy | widgetSizePolicy ( const QWidget * widget ) `(obsolete)`

## Member Function Documentation

### FocusRectPolicy QMacStyle::focusRectPolicy ( const QWidget * w ) `[static]`

Returns the focus rectangle policy for the widget w.

The focus rectangle policy can be one of QMacStyle::FocusRectPolicy.

In 4.3 and up this function will simply test for the Qt::WA_MacShowFocusRect attribute and will never return QMacStyle::FocusDefault.

See also setFocusRectPolicy() and QWidget::testAttribute().

### void QMacStyle::setFocusRectPolicy ( QWidget * w, FocusRectPolicy policy ) `[static]`

Sets the focus rectangle policy of w. The policy can be one of QMacStyle::FocusRectPolicy.

This is now simply an interface to the Qt::WA_MacShowFocusRect attribute and the FocusDefault value does nothing anymore. If you want to set a widget back to its default value, you must save the old value of the attribute before you change it.

See also focusRectPolicy() and QWidget::setAttribute().

### void QMacStyle::setWidgetSizePolicy ( const QWidget * widget, WidgetSizePolicy policy ) `[static]`

Call QWidget::setAttribute() with Qt::WA_MacMiniSize, Qt::WA_MacSmallSize, or Qt::WA_MacNormalSize instead.

See also widgetSizePolicy().

### WidgetSizePolicy QMacStyle::widgetSizePolicy ( const QWidget * widget ) `[static]`

Call QWidget::testAttribute() with Qt::WA_MacMiniSize, Qt::WA_MacSmallSize, or Qt::WA_MacNormalSize instead.

See also setWidgetSizePolicy().